CREATE TABLE cse_asset_relations_gt_debug (
    GTT_RELATIONSHIP_ID           NUMBER(18, 0),
    DEBUG_STAGE                   VARCHAR2(120),
    API_NAME                      VARCHAR2(480),
    PARENT_GTT_RELATIONSHIP_ID    NUMBER(18, 0),
    RELATIONSHIP_ACTION           VARCHAR2(120),
    RELATIONSHIP_TYPE_CODE        VARCHAR2(120),
    OBJ_GTT_ASSET_ID              NUMBER(18, 0),
    SUBJ_GTT_ASSET_ID             NUMBER(18, 0),
    OBJ_GTT_TXN_ID                NUMBER(18, 0),
    SUBJ_GTT_TXN_ID               NUMBER(18, 0),
    GTT_GROUP_ID                  NUMBER(18, 0),
    RELATIONSHIP_ID               NUMBER(18, 0),
    HIERARCHY_ID                  NUMBER(18, 0),
    OBJECT_TYPE                   VARCHAR2(12) ,
    OBJECT_ID                     NUMBER(18, 0),
    SUBJECT_TYPE                  VARCHAR2(12) ,
    SUBJECT_ID                    NUMBER(18, 0),
    LOGICAL_OBJECT_ID             NUMBER(18, 0),
    LOGICAL_GTT_ASSET_ID          NUMBER(18, 0),
    SPLIT_FROM_GTT_REL_ID         NUMBER(18, 0),
    POSITION_NUMBER               NUMBER       ,
    POTENTIAL_FLAG                VARCHAR2(4)  ,
    SPLIT_FLAG                    VARCHAR2(4)  ,
    MERGE_FLAG                    VARCHAR2(4)  ,
    TRANSLATE_FLAG                VARCHAR2(4)  ,
    ACTIVE_START_DATE             TIMESTAMP(6) ,
    ACTIVE_END_DATE               TIMESTAMP(6) ,
    OBJECT_ITEM_ID                NUMBER(18, 0),
    OBJECT_SERIAL_NUMBER          VARCHAR2(320),
    OBJECT_LOT_NUMBER             VARCHAR2(320),
    OBJECT_ASSET_QTY              NUMBER       ,
    SUBJECT_ITEM_ID               NUMBER(18, 0),
    SUBJECT_SERIAL_NUMBER         VARCHAR2(320),
    SUBJECT_LOT_NUMBER            VARCHAR2(320),
    SUBJECT_ASSET_QTY             NUMBER       ,
    MATCH_FOUND                   VARCHAR2(4)  ,
    TRANSACTED_RELATIONSHIP_ID    NUMBER(18, 0),
    EVENT_RAISED_FLAG             VARCHAR2(4)  ,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    GTT_RELATIONSHIP_ID           NUMBER(18, 0),
    DEBUG_STAGE                   VARCHAR2(120),
    API_NAME                      VARCHAR2(480),
    PARENT_GTT_RELATIONSHIP_ID    NUMBER(18, 0),
    RELATIONSHIP_ACTION           VARCHAR2(120),
    OBJ_GTT_ASSET_ID              NUMBER(18, 0),
    SUBJ_GTT_ASSET_ID             NUMBER(18, 0),
    OBJ_GTT_TXN_ID                NUMBER(18, 0),
    SUBJ_GTT_TXN_ID               NUMBER(18, 0),
    GTT_GROUP_ID                  NUMBER(18, 0),
    RELATIONSHIP_ID               NUMBER(18, 0),
    OBJECT_ID                     NUMBER(18, 0),
    SUBJECT_ID                    NUMBER(18, 0),
    LOGICAL_OBJECT_ID             NUMBER(18, 0),
    LOGICAL_GTT_ASSET_ID          NUMBER(18, 0),
    SPLIT_FROM_GTT_REL_ID         NUMBER(18, 0),
    POTENTIAL_FLAG                VARCHAR2(4)  ,
    ACTIVE_START_DATE             TIMESTAMP(6) ,
    ACTIVE_END_DATE               TIMESTAMP(6) ,
    OBJECT_ITEM_ID                NUMBER(18, 0),
    OBJECT_SERIAL_NUMBER          VARCHAR2(320),
    OBJECT_LOT_NUMBER             VARCHAR2(320),
    OBJECT_ASSET_QTY              NUMBER       ,
    SUBJECT_ITEM_ID               NUMBER(18, 0),
    SUBJECT_SERIAL_NUMBER         VARCHAR2(320),
    SUBJECT_LOT_NUMBER            VARCHAR2(320),
    SUBJECT_ASSET_QTY             NUMBER       ,
    MATCH_FOUND                   VARCHAR2(4)  ,
    TRANSACTED_RELATIONSHIP_ID    NUMBER(18, 0),
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    EVENT_RAISED_FLAG             VARCHAR2(4)  ,
    RELATIONSHIP_TYPE_CODE        VARCHAR2(120),
    SPLIT_FLAG                    VARCHAR2(4)  ,
    MERGE_FLAG                    VARCHAR2(4)  ,
    TRANSLATE_FLAG                VARCHAR2(4)  ,
    OBJECT_TYPE                   VARCHAR2(12) ,
    SUBJECT_TYPE                  VARCHAR2(12) ,
    HIERARCHY_ID                  NUMBER(18, 0),
    POSITION_NUMBER               NUMBER       ,
    CONSTRAINT pk_cse_asset_relations_gt_debug PRIMARY KEY (GTT_RELATIONSHIP_ID, DEBUG_STAGE, GTT_RELATIONSHIP_ID, DEBUG_STAGE)
);
